<?xml version="1.0" encoding="UTF-8"?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
  <url>
    <loc><%= root_url %></loc>
    <changefreq>weekly</changefreq>
  </url>
  <% @first_level_categories.each do |first_level_name| %>
    <url>
      <loc><%= first_level_category_url(first_level: first_level_name) %></loc>
      <changefreq>weekly</changefreq>
    </url>
  <% end %>
  <% @categories.each do |category| %>
    <url>
      <loc><%= second_level_category_url(first_level: category.first_level, second_level: category.second_level) %></loc>
      <changefreq>weekly</changefreq>
    </url>
  <% end %>
  <% @articles.each do |article| %>
    <url>
      <loc><%= article_url(article.pretty_id) %></loc>
      <changefreq>weekly</changefreq>
    </url>
  <% end %>
</urlset>
